import datetime
import libcurses as curses
from . import constantes_document_latex as constantes

def annee_scolaire_admissible(annee_scolaire):
    """Revoie True si la chaîne de caractère annee_scolaire est au format aaaa-aaaa+1 avec aaaa une année admissible, et False sinon
    """
    if len(annee_scolaire.split('-')) != 2:
        return False
    else:
        annee_n,annee_n_plus_un = annee_scolaire.split('-')
        return (int(annee_n) == (int(annee_n_plus_un)-1)) and (annee_n in constantes.annees_valables)

def annee_scolaire(sans_std = False):
    """Retourne l'année scolaire en cours, si l'argument est True alors on renvoie toujours l'année scolaire en cours sauf à partir de juin où on renvoie l'année suivante 
    """
    year, month = [element for element in datetime.datetime.now().strftime("%Y-%m").split('-')]
    if month in constantes.annee_scolaire_en_cours:
        return year+'-'+str(int(year)+1)
    if month in constantes.annee_scolaire_plus_un:
        return str(int(year)-1)+'-'+year
    if sans_std:
        return year+'-'+str(int(year)+1)
    while True:
        annee_scolaire = curses.saisie_message_std("Quelle est l'année scolaire en cours ? ")
        if not(annee_scolaire_admissible(annee_scolaire)):
            curses.afficher_message_std("L'année saisie doit être au format aaaa-aaaa+1 et aaaa doit être inférieure à 2070 !")
        else:
            return annee_scolaire
