from . import constantes_document_latex as constantes

""" Ces fonction permettent d'analyser l'argument donné en ligne de commande. Celui-ci doit être de la forme numero ou bien numero_titre ou bien titre, et numero doit être dans l'intervalle des numéros admissibles (voir constantes_document_latex)
"""

def format(argv):
    """ Formattage de l'argument
    """
    arguments = argv.split('_')
    if len(arguments) == 1:
        arguments.append('') # garantit qu'il y a toujours au moins deux arguments, le second éventuellement vide
    if constantes.debug:
        print("fonction format")
        print(f"La variable arguments est {arguments}")
    return arguments

def bon_format(argv):
    """Booléen déterminant si la chaîne de caractère argv est un argument admissible pour le script document latex
    """
    arguments = format(argv)
    if len(arguments) != 2: # c'est impossible ?
        return False
    numero,titre = arguments
    if constantes.debug:
        print("fonction bon_format")
        print(f"Les variables numero,titre sont {numero} et {titre}")
    try:
        int(numero) #si le numéro est bien un numéro
        return numero in constantes.numeros_admissibles
    except:
        return True #si non, c'est un titre
    else:
        return [False] # Qu'est-ce que c'est que ce délire ??
         
def arguments(argv):
    """Renvoie la liste des arguments s'ils sont admissibles, et None autrement 
    """
    if bon_format(argv):
        return format(argv)
